package com.onkyo.jp.hfplayer_unlocker;

import com.onkyo.jp.hfplayer_unlocker.IUnlockerAppServiceCallback;

interface IUnlockAppService {
	
	/**
	 * ライセンス認証結果を取得します。
	 * @return ライセンス認証結果
	 */
    int getLvlResult();
    
    /**
	 * HF Player Unlockerのライセンス認証を行います。
	 */
    void verifyLicence();
    
    /**
     * ライセンス認証のコールバック処理を登録します。
     * @param result callback IUnlockerAppServiceCallbackオブジェクト
     */
	oneway void registerCallback(IUnlockerAppServiceCallback callback);
	
	/**
     * ライセンス認証のコールバック処理の登録を解除します。
     * @param result callback IUnlockerAppServiceCallbackオブジェクト
     */
	oneway void unregisterCallback(IUnlockerAppServiceCallback callback);
}
